com.genesyslab.wfm8.API.service.config851

## Class CfgSiteFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgSiteFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSiteFilter
      extends java.lang.Object
      implements java.io.Serializable

  Site request filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cfgSnapshotID`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmBUId`
    `protected int` | `wmBUIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSiteFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getCfgSnapshotID()` Gets the value of the cfgSnapshotID property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setCfgSnapshotID(java.lang.String value)` Sets the value of the cfgSnapshotID property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgSiteFilter` | `withCfgSnapshotID(java.lang.String value)`
    `CfgSiteFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgSiteFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgSiteFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgSiteFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgSiteFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgSiteFilter` | `withWmSiteIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### cfgSnapshotID

          protected java.lang.String cfgSnapshotID

  - ### Constructor Detail

    - #### CfgSiteFilter

          public CfgSiteFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getCfgSnapshotID

          public java.lang.String getCfgSnapshotID()

      Gets the value of the cfgSnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgSnapshotID

          public void setCfgSnapshotID(java.lang.String value)

      Sets the value of the cfgSnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmBUIdNSizeIs

          public CfgSiteFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgSiteFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgSiteFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgSiteFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgSiteFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgSiteFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withCfgSnapshotID

          public CfgSiteFilter withCfgSnapshotID(java.lang.String value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.